[Forgot Password]
Login  Register Subscribe

24128

 
 

131615

 
 

112994

 
 

909

 
 

87812

 
 

136

Paid content will be excluded from the download.


Download | Alert*
CVE
view XML view JSON

CVE-2017-5884Date: (C)2017-03-02   (M)2018-09-07


gtk-vnc before 0.7.0 does not properly check boundaries of subrectangle-containing tiles, which allows remote servers to execute arbitrary code via the src x, y coordinates in a crafted (1) rre, (2) hextile, or (3) copyrect tile.

CVSS Score and Metrics +CVSS Score and Metrics -

CVSS V3 Severity:CVSS V2 Severity:
CVSS Score : 7.8CVSS Score : 6.8
Exploit Score: 1.8Exploit Score: 8.6
Impact Score: 5.9Impact Score: 6.4
 
CVSS V3 Metrics:CVSS V2 Metrics:
Attack Vector: LOCALAccess Vector: NETWORK
Attack Complexity: LOWAccess Complexity: MEDIUM
Privileges Required: NONEAuthentication: NONE
User Interaction: REQUIREDConfidentiality: PARTIAL
Scope: UNCHANGEDIntegrity: PARTIAL
Confidentiality: HIGHAvailability: PARTIAL
Integrity: HIGH 
Availability: HIGH 
  
Reference:
BID-96016
FEDORA-2017-ab04a91edd
RHSA-2017:2258
http://www.openwall.com/lists/oss-security/2017/02/03/5
http://www.openwall.com/lists/oss-security/2017/02/05/5
https://bugzilla.gnome.org/show_bug.cgi?id=778048
https://git.gnome.org/browse/gtk-vnc/commit/?id=ea0386933214c9178aaea9f2f85049ea3fa3e14a

CWE    1
CWE-118
OVAL    10
oval:org.secpod.oval:def:703474
oval:org.secpod.oval:def:112144
oval:org.secpod.oval:def:112158
oval:org.secpod.oval:def:112098
...

© SecPod Technologies